Subject: Re: win32 popen clone for mingw32 anyone?
From: [email-masked] (Peter Dalgaard BSA)

1 Aug 1998 01:26:07 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: Douglas Steele <[email-masked]>, [email-masked]

Mumit Khan <[email-masked]> writes:

> 
> On Wed, 29 Jul 1998, Douglas Steele wrote:
> 
> > Guido Masarotto <[email-masked]> suggested the following to
> > me "BTW, the djgpp libc contains an emulation of popen which 
> > perhaps can be used by Mumit Khan...  maybe you can signal it to him."
> 
> Thanks for the pointer. I'll take a look, though I doubt if it will work
> with mingw32. I took one out of Perl Win32 module and modified it a bit to
> make it work with mingw32 without perl library. Only tested it with simple
> stuff, and so far seems to work.
> 
> I finally had a chance to try out windres on 5 different Win95 machines
> running various OS versions -- from Win95 initial to the latest and 
> greatest. I still cannot reproduce this problem. Kind of hard for me
> to fix if I can't reproduce. I'm using windres from binutils-2.9.1, so
> maybe that's the difference? I've uploaded binutils-2.9.1 for others to
> try out.

The original source of these problems was Guido's port of R, so you
may want to pick up R-0.61.3 and his patches from a nearby CRAN site,
e.g. http://cran.stat.wisc.edu/
                                                 
I suspect that the problem was that the resource file did an 

#include <windows.h> 

which kills windres at the 1st typedef (is that a bug, BTW?) - this
happens when crosscompiling too. Then with the receiving end of the
pipe dead, the pipe spills into stdout.

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".